# Method Standards.PKCS.ECDSA.parse_ec_parameters()

Method parse_ec_parameters

  ``Crypto.ECC.Curve` parse_ec_parameters(`string` `ec_parameters`)`

Description

  Get the ECC curve corresponding to an ASN.1 DER encoded named curve identifier.

Returns

  Returns UNDEFINED if the curve is unsupported.

Method parse_ec_parameters

  ``variant` `Crypto.ECC.Curve` parse_ec_parameters(`Standards.ASN1.Types.Identifier`|`void` `named_curve`)`